CC = g++
SOURCES = src/main.cpp\
			src/Moteur.cpp\
			src/Map.cpp\
			src/Perso.cpp\
			src/Interface.cpp\
			src/CSpritesPerso.cpp\
			src/Sorts.cpp

OBJECTS	=	$(SOURCES:.cpp=.o)
TARGET	=	bin/TPB-Linux
LIBS	=	$(shell sdl-config --libs --cflags) -lGL -lGLU -lSDL_image

all: $(OBJECTS)
	$(CC) $(LIBS) -o $(TARGET) $(OBJECTS)
	rm -rf $(OBJECTS)

	

%o: %cpp
	$(CC) -o $@ -c $<

x: all
	./$(TARGET)

clean:
	rm -rf $(OBJECTS)

superclean : clean
	rm -rf $(TARGET)

